##
##  ucspi-tcp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ucspi-tcp
Summary:      CLI for TCP Client-Server Applications
URL:          http://cr.yp.to/ucspi-tcp.html
Vendor:       D. J. Bernstein
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Network
License:      Open Source
Version:      0.88
Release:      20080101

#   list of sources
Source0:      http://cr.yp.to/ucspi-tcp/ucspi-tcp-%{version}.tar.gz
Source1:      http://smarden.org/pape/djb/manpages/ucspi-tcp-%{version}-man-20020317.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, make, gcc
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    ucspi-tcp is a set of command-line tools for building TCP-based
    client/server applications. They are compliant to the UNIX
    Client-Server Program Interface (UCSPI). UCSPI tools are available
    for several different types of networks.

%track
    prog ucspi-tcp = {
        version   = %{version}
        url       = http://cr.yp.to/ucspi-tcp/install.html
        regex     = ucspi-tcp-(__VER__)\.tar.gz
    }

%prep
    %setup -q
    %setup -q -D -T -a 1

%build
    #   build programs
    echo "%{l_cc} %{l_cflags -O}" >conf-cc
    echo "%{l_cc} %{l_ldflags}"   >conf-ld
    echo "%{l_prefix}"            >conf-home
    %{l_make} %{l_mflags -O}

%install
    #   create installation hierarchy
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1

    #   install programs
    %{l_shtool} install -c -s -m 755 \
        addcr argv0 delcr fixcrio mconnect-io rblsmtpd recordio \
        tcpclient tcprules tcprulescheck tcpserver \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        date@ finger@ http@ mconnect who@ tcpcat \
        $RPM_BUILD_ROOT%{l_prefix}/bin/

    #   install manual pages
    %{l_shtool} install -c -m 644 \
        ucspi-tcp-*-man/*.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

